> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/88.-mutation-exporter-zonesmap-en-shapefile-compresse.md).

# 88. Mutation : exporter ZonesMap en Shapefile compressé

Générer une archive zip avec le "ZonesMap" sélectionné en tant que shapefile.

{% hint style="info" %}
L'archive se compose des fichiers \*.shp, \*.shx, \*.prj, \*.dbf en EPSG:4326.
{% endhint %}

### 1. Préparation

* L'attribut `vectorAnalysisMaps` contient un tableau d'objets ZonesMaps (VectorAnalysisMaps) à exporter. Chaque objet inclut une paire de `fieldUuid` (liaison au Champ sélectionné) et `uuid` (liaison au ZonesMap sélectionné).
* L'attribut booléen `asMultiGeometry` détermine si les zones sont exportées en tant que `Polygones` ou `MultiPolygones` (lorsqu'il est défini sur `true` ).
* L'attribut booléen `onlyProductColumns` précise si seules les colonnes contenant des produits (RX) doivent être incluses dans le shapefile (lorsque `true`). Sinon, tous les attributs statistiques et les identifiants de zone seront inclus en tant que colonnes.
* L'attribut `archiveName` contient le nom de l'archive zip générée.
* L'attribut `filePostfix` permet d'ajouter des suffixes personnalisés aux fichiers exportés et à l'archive.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Télécharger l'archive générée

Après l'exécution de la requête GraphQL, il est possible de la télécharger en utilisant `curl` ou une approche similaire.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/88.-mutation-exporter-zonesmap-en-shapefile-compresse.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
